Skip to main content
GET
ListTestReports

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

pageSize
integer<int64>

The maximum number of test reports to return. The service may return fewer than this value. If unspecified, at most 50 test reports will be returned. The maximum value is 1000; values above 1000 will be coerced to 1000.

pageToken
string

A page token, received from a previous ListTestReports call. Provide this to retrieve the subsequent page. When paginating, all other parameters provided to ListTestReports must match the call that provided the page token.

filter
string

A Common Expression Language (CEL) filter string. Available fields to filter by are test_report_id, status, name, test_system_name, test_case, start_time, end_time, serial_number, created_by_user_id, modified_by_user_id, part_number, system_operator, run_id, archived_date, and metadata. Metadata can be used in filters by using metadata.{metadata_key_name} as the field name. For further information about how to use CELs, please refer to this guide.

orderBy
string

How to order the retrieved test reports. Formatted as a comma-separated string i.e. "FIELD_NAME[ desc],...". Available fields to order_by are test_report_id, name, test_system_name, test_case, start_time, end_time, created_date, and modified_date. If left empty, items are ordered by start_time in descending order (newest-first). For more information about the format of this field, read this Example: "start_time desc,name"

Response

A successful response.

testReports
The list of test reports · object[]
nextPageToken
string